var inputerr = 'normal';
var ENABLED = 1;
var DISABLED = 0;

// 删除无效文件
var DeleteinvalidFun = function(shareName, path) {
  var cwh = getClientWH();
  var DeleteinvalidWindow = new MUI.Modal({
    id: 'DeleteinvalidWindow',
    title: UNAS._('Delete invalid Setting') + " " + shareName,
    modal: true,
    width: parseInt(cwh.w * 0.9),
    height: 250, //+50
    addClass: 'delete-modal',
    contentURL: '/apps/webdav/m/delete_invalidfolder.html?v=6.0.22&shareName=' + encodeURIComponent(shareName) + '&path=' + encodeURIComponent(path)
  });
  DeleteinvalidWindow.ProcessDeleteinvalidFolder = function() {
    errList();
  }
}
// 错误配置
function errList() {
  jQuery.ajax({
    url: "/apps/webdav/includes/index.php",
    type: "POST",
    async: true,
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "webdav_invalid_alload",
      "token": UToken
    }),
    success: function(data) {
      if (data.err == 0) {
        // 错误配置
        if (data.results.records.length > 0) {
          jQuery('#errorSettingList').html("");
          var folder_list = "";
          for (var k = 0; k < data.results.records.length; k++) {
            var folderarr = data.results.records[k];
            folder_list += '<dl>' +
              '<samp class="folder_samp1"></samp>' +
              '<h3 class="ellipsis"><a>' + folderarr.shareName + '</a></h3>' +
              '<div>' +
              '<span>' + UNAS._('State:') + '</span>' +
              '<span>' + UNAS._('Invalid Setting') + '</span>' +
              '</div>' +
              '<p>' +
              '<a onclick="DeleteinvalidFun(' + "'" + folderarr.shareName + "','" + folderarr.path + "'" + ');">' + UNAS._('Delete') + '</a>' +
              '</p>' +
              '</dl>';
          }
          jQuery('#errorSettingList').html(folder_list);
          webdavTranslator('errorSettingList');
        } else {
          jQuery('#errorSettingList').html(UNAS._('Great, No Mistakes Found.'));
          jQuery('#errorSettingList').show();
        }
        //
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      jQuery('#webdav_manager_waiting_content').attr("style", "display:none");
      jQuery('#webdav_manager_waiting_logo').attr("style", "display:none");
    }
  });
}

function WebDAVCheckStatus() {
  if (jQuery('#webdav_manager_webdav_enable').prop('checked')) {
    jQuery("[name='webdav_manager_webdav_input']").removeAttr('disabled');
  } else {
    jQuery("[name='webdav_manager_webdav_input']").attr('disabled', 'disabled');
  }
  if (jQuery('#webdav_manager_speed_enable').prop('checked')) {
    jQuery("[name='webdav_manager_webdav_input']").attr('disabled', true);
    jQuery('#webdav_manager_speed_enable').attr('disabled', false);
    if (jQuery('#webdav_manager_minspeed_enable').prop('checked') == false) {
      jQuery('#webdav_manager_webdav_minspeed').attr('disabled', true);
    } else {
      jQuery("#webdav_manager_webdav_minspeed").attr('disabled', false);
    }
    if (jQuery('#webdav_manager_filespeed_enable').prop('checked') == false) {
      jQuery('#webdav_manager_webdav_filethreshold').attr('disabled', true);
      jQuery('#webdav_manager_webdav_filemaxspeed').attr('disabled', true);
    } else {
      jQuery('#webdav_manager_webdav_filethreshold').attr('disabled', false);
      jQuery('#webdav_manager_webdav_filemaxspeed').attr('disabled', false);
    }
  } else {
    jQuery("[name='webdav_manager_webdav_input']").attr('disabled', true);
  }
}

function WebDAVCheckInput() {
  var reg = /^[1-9]\d*$/;
  if (jQuery('#webdav_manager_webdav_enable').prop('checked')) {
    jQuery('#webdav_manager_speed_enable').attr('disabled', false);
    jQuery('#webdav_http_port').attr('disabled', false);
    jQuery('#webdav_https_port').attr('disabled', false);
    if (jQuery('#webdav_manager_speed_enable').prop('checked')) {
      //check max speed input
      jQuery("#webdav_manager_webdav_maxspeed").attr('disabled', false);
      jQuery('#webdav_manager_minspeed_enable').attr('disabled', false);
      jQuery("#webdav_manager_webdav_minspeed").attr('disabled', false);
      jQuery('#webdav_manager_filespeed_enable').attr('disabled', false);
      jQuery('#webdav_manager_webdav_filethreshold').attr('disabled', false);
      jQuery('#webdav_manager_webdav_filemaxspeed').attr('disabled', false);
      if (reg.test(jQuery('#webdav_manager_webdav_maxspeed').val())) {
        jQuery('#webdav_manager_webdav_maxspeed').attr('class', "unas_input");
        jQuery('#webdav_manager_webdav_maxspeed').attr('title', "");
        inputerr = 'right';
      } else {
        jQuery('#webdav_manager_webdav_maxspeed').attr('class', "unas_input_error");
        jQuery('#webdav_manager_webdav_maxspeed').attr('title', UNAS._("##$@webdav@$##illegal character##$@webdav@$##"));
        jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled');
        inputerr = 'err';
      }
      if (jQuery('#webdav_manager_minspeed_enable').prop('checked')) {
        //check min speed input
        jQuery("#webdav_manager_webdav_minspeed").attr('disabled', false);
        if (reg.test(jQuery('#webdav_manager_webdav_minspeed').val())) {
          jQuery('#webdav_manager_webdav_minspeed').attr('class', "unas_input");
          jQuery('#webdav_manager_webdav_minspeed').attr('title', "");
          inputerr = 'right';
        } else {
          jQuery('#webdav_manager_webdav_minspeed').attr('class', "unas_input_error");
          jQuery('#webdav_manager_webdav_minspeed').attr('title', UNAS._("##$@webdav@$##illegal character##$@webdav@$##"));
          jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled');
          inputerr = 'err';
        }
      } else {
        jQuery("#webdav_manager_webdav_minspeed").attr('disabled', true);
      }
      if (jQuery('#webdav_manager_filespeed_enable').prop('checked')) {
        //check file size input
        jQuery('#webdav_manager_webdav_filethreshold').attr('disabled', false);
        jQuery('#webdav_manager_webdav_filemaxspeed').attr('disabled', false);
        if (reg.test(jQuery('#webdav_manager_webdav_filethreshold').val())) {
          jQuery('#webdav_manager_webdav_filethreshold').attr('class', "unas_input");
          jQuery('#webdav_manager_webdav_filethreshold').attr('title', "");
          inputerr = 'right';
        } else {
          jQuery('#webdav_manager_webdav_filethreshold').attr('class', "unas_input_error");
          jQuery('#webdav_manager_webdav_filethreshold').attr('title', UNAS._("##$@webdav@$##illegal character##$@webdav@$##"));
          jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled');
          inputerr = 'err';
        }
        //check file speed inout
        if (reg.test(jQuery('#webdav_manager_webdav_filemaxspeed').val())) {
          jQuery('#webdav_manager_webdav_filemaxspeed').attr('class', "unas_input");
          jQuery('#webdav_manager_webdav_filemaxspeed').attr('title', "");
          inputerr = 'right';
        } else {
          jQuery('#webdav_manager_webdav_filemaxspeed').attr('class', "unas_input_error");
          jQuery('#webdav_manager_webdav_filemaxspeed').attr('title', UNAS._("##$@webdav@$##illegal character##$@webdav@$##"));
          jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled');
          inputerr = 'err';
        }
      } else {
        jQuery('#webdav_manager_webdav_filethreshold').attr('disabled', true);
        jQuery('#webdav_manager_webdav_filemaxspeed').attr('disabled', true);
      }

    } else {
      jQuery("#webdav_manager_webdav_maxspeed").attr('disabled', true);
      jQuery('#webdav_manager_minspeed_enable').attr('disabled', true);
      jQuery("#webdav_manager_webdav_minspeed").attr('disabled', true);
      jQuery('#webdav_manager_filespeed_enable').attr('disabled', true);
      jQuery('#webdav_manager_webdav_filethreshold').attr('disabled', true);
      jQuery('#webdav_manager_webdav_filemaxspeed').attr('disabled', true);
    }
    jQuery('#wedav_tmp_dir').attr('disabled', false);
  } else {
    jQuery('#webdav_manager_speed_enable').attr('disabled', true);
    jQuery("#webdav_manager_webdav_maxspeed").attr('disabled', true);
    jQuery('#webdav_manager_minspeed_enable').attr('disabled', true);
    jQuery("#webdav_manager_webdav_minspeed").attr('disabled', true);
    jQuery('#webdav_manager_filespeed_enable').attr('disabled', true);
    jQuery('#webdav_manager_webdav_filethreshold').attr('disabled', true);
    jQuery('#webdav_manager_webdav_filemaxspeed').attr('disabled', true);
    jQuery('#webdav_http_port').attr('disabled', true);
    jQuery('#webdav_https_port').attr('disabled', true);
    jQuery('#wedav_tmp_dir').attr('disabled', true);
  }
}

function checkport_avail(type, port) {
  var data = {
    cmd: 'webdav_checkport',
    token: UToken,
    params: {}
  };
  if (type == 'http') {
    data.params.http = port;
  } else if (type == 'https') {
    data.params.https = port;
  }
  jQuery.ajax({
    url: "/apps/webdav/includes/index.php",
    type: "POST",
    async: true,
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify(data),
    success: function(data) {
      if (data.err == 0) {
        if (type == 'http') {
          if (data.results.http == DISABLED) {
            jQuery(".webdav_http_port_error_tips").text(UNAS._("##$@webdav@$##Port is used##$@webdav@$##"));
            jQuery('#webdav_http_port').attr("class", "unas_input_error");
            jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled');
          }
        } else if (type == 'https') {
          if (data.results.https == DISABLED) {
            jQuery(".webdav_https_port_error_tips").text(UNAS._("##$@webdav@$##Port is used##$@webdav@$##"));
            jQuery('#webdav_https_port').attr("class", "unas_input_error");
            jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled');
          }
        }
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      jQuery('#webdav_manager_waiting_content').attr("style", "display:none");
      jQuery('#webdav_manager_waiting_logo').attr("style", "display:none");
    }
  });
}
// 端口检查HTTP
function checkHTTPPort() {
  var portH = jQuery('#webdav_http_port').val();
  var portHs = jQuery('#webdav_https_port').val();
  if (portH == "") {
    jQuery(".webdav_http_port_error_tips").text(UNAS._("##$@webdav@$##Port number can not be empty##$@webdav@$##"));
    jQuery('#webdav_http_port').attr("class", "unas_input_error");
    jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled')
    return false;
  } else {
    jQuery(".webdav_http_port_error_tips").text("");
    jQuery('#webdav_http_port').attr("class", "unas_input");
  }
  if (portH == portHs) {
    jQuery(".webdav_http_port_error_tips").text(UNAS._("##$@webdav@$##HTTP and HTTPS ports can't be the same##$@webdav@$##"));
    jQuery('#webdav_http_port').attr("class", "unas_input_error");
    jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled');
    return false;
  }
  checkport_avail('http', parseInt(portH));
  return true;
}


// 端口检查HTTPS
function checkHTTPSPort() {
  var portH = jQuery('#webdav_http_port').val();
  var portHs = jQuery('#webdav_https_port').val();
  if (portHs == "") {
    jQuery(".webdav_https_port_error_tips").text(UNAS._("##$@webdav@$##Port number can not be empty##$@webdav@$##"));
    jQuery('#webdav_https_port').attr("class", "unas_input_error");
    jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled');
    return false;
  } else {
    jQuery(".webdav_https_port_error_tips").text("");
    jQuery('#webdav_https_port').attr("class", "unas_input");
  }
  if (portH == portHs) {
    jQuery(".webdav_https_port_error_tips").text(UNAS._("##$@webdav@$##HTTP and HTTPS ports can't be the same##$@webdav@$##"));
    jQuery('#webdav_https_port').attr("class", "unas_input_error");
    jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled');
    return false;
  }
  checkport_avail('https', parseInt(portHs));
  return true;
}

//
var webdavflag, speedenableflag, maxspeedflag, minspeedenableflag, minspeedflag, fileenable, filethresholdflag, filemaxspeedflag, httpportflag, httpsportflag;

function GetWebDAVStatus() {
  jQuery('#webdav_manager_waiting_content').attr("style", "display:block");
  jQuery('#webdav_manager_waiting_logo').attr("style", "display:block");
  jQuery('#webdav_manager_webdav_maxspeed').val('');
  jQuery('#webdav_manager_webdav_minspeed').val('');
  jQuery('#webdav_manager_webdav_filethreshold').val('');
  jQuery('#webdav_manager_webdav_filemaxspeed').val('');
  var d = {
    cmd: 'webdav_get_status',
    token: UToken
  };
  jQuery.ajax({
    url: "/apps/webdav/includes/index.php",
    type: "POST",
    async: true,
    data: JSON.stringify(d),
    dataType: 'json',
    contentType: "application/json;",
    timeout: 60000,
    success: function(result) {
      var data = result.results;
      //alert(JSON.stringify(data));
      if (data.status == "Enable") {
        jQuery('#webdav_manager_webdav_start').attr('class', 'unas_button')
        jQuery('#webdav_manager_webdav_enable').prop('checked', true);
        jQuery('#webdav_manager_webdav_enable').prop('checked', true);
        jQuery('#webdav_manager_speed_enable').attr("disabled", false);
        if (data.speedlimit.status == "Enable") {
          jQuery('#webdav_manager_speed_enable').prop('checked', true);
          jQuery("#webdav_manager_webdav_maxspeed").attr("disabled", false);
          jQuery('#webdav_manager_minspeed_enable').attr("disabled", false);
          jQuery("#webdav_manager_webdav_minspeed").attr("disabled", false);
          jQuery('#webdav_manager_filespeed_enable').attr("disabled", false);
          jQuery('#webdav_manager_webdav_filethreshold').attr("disabled", false);
          jQuery('#webdav_manager_webdav_filemaxspeed').attr("disabled", false);
        } else {
          jQuery('#webdav_manager_speed_enable').prop('checked', false);
          jQuery("#webdav_manager_webdav_maxspeed").attr("disabled", true);
          jQuery('#webdav_manager_minspeed_enable').attr("disabled", true);
          jQuery("#webdav_manager_webdav_minspeed").attr("disabled", true);
          jQuery('#webdav_manager_filespeed_enable').attr("disabled", true);
          jQuery('#webdav_manager_webdav_filethreshold').attr("disabled", true);
          jQuery('#webdav_manager_webdav_filemaxspeed').attr("disabled", true);
        }
      } else {
        jQuery('#webdav_manager_webdav_start').attr('class', 'unas_button_disabled')
        jQuery('#webdav_manager_webdav_enable').prop('checked', false);
        jQuery('#webdav_manager_speed_enable').attr("disabled", true);
        jQuery("#webdav_manager_webdav_maxspeed").attr("disabled", true);
        jQuery('#webdav_manager_minspeed_enable').attr("disabled", true);
        jQuery("#webdav_manager_webdav_minspeed").attr("disabled", true);
        jQuery('#webdav_manager_filespeed_enable').attr("disabled", true);
        jQuery('#webdav_manager_webdav_filethreshold').attr("disabled", true);
        jQuery('#webdav_manager_webdav_filemaxspeed').attr("disabled", true);
        jQuery('#wedav_tmp_dir').attr("disabled", true);
      }
      if (data.speedlimit.minspeed_status == "Enable") {
        jQuery('#webdav_manager_minspeed_enable').prop('checked', true);
        jQuery("#webdav_manager_webdav_minspeed").attr("disabled", false);
      } else {
        jQuery('#webdav_manager_minspeed_enable').prop('checked', false);
        jQuery("#webdav_manager_webdav_minspeed").attr("disabled", true);
      }
      if (data.speedlimit.filelimit_status == "Enable") {
        jQuery('#webdav_manager_filespeed_enable').prop('checked', true);
        jQuery('#webdav_manager_webdav_filethreshold').attr("disabled", false);
        jQuery('#webdav_manager_webdav_filemaxspeed').attr("disabled", false);
      } else {
        jQuery('#webdav_manager_filespeed_enable').prop('checked', false);
        jQuery('#webdav_manager_webdav_filethreshold').attr("disabled", true);
        jQuery('#webdav_manager_webdav_filemaxspeed').attr("disabled", true);
      }
      if (typeof data.speedlimit.maxspeed !== 'undefined') {
        jQuery('#webdav_manager_webdav_maxspeed').val(data.speedlimit.maxspeed / 1024);
      }
      if (typeof data.speedlimit.minspeed !== 'undefined') {
        jQuery('#webdav_manager_webdav_minspeed').val(data.speedlimit.minspeed / 1024);
      }
      if (typeof data.speedlimit.filelimit !== 'undefined') {
        if (typeof data.speedlimit.filelimit.size !== 'undefined') {
          jQuery('#webdav_manager_webdav_filethreshold').val(data.speedlimit.filelimit.size);
        }
        if (typeof data.speedlimit.filelimit.speed !== 'undefined') {
          jQuery('#webdav_manager_webdav_filemaxspeed').val(data.speedlimit.filelimit.speed / 1024);
        }
      } else {
        jQuery('#webdav_manager_filespeed_enable').prop('checked', false);
        jQuery('#webdav_manager_webdav_filethreshold').attr("disabled", true);
        jQuery('#webdav_manager_webdav_filemaxspeed').attr("disabled", true);
      }
      // 回显端口
      jQuery('#webdav_http_port').val(data.ports['http_port']);
      jQuery('#webdav_https_port').val(data.ports['https_port']);
      //WebDAVCheckStatus();

      // 记住上一次的数据
      webdavflag = jQuery('#webdav_manager_webdav_enable').prop('checked');
      speedenableflag = jQuery('#webdav_manager_speed_enable').prop('checked');
      maxspeedflag = jQuery("#webdav_manager_webdav_maxspeed").val();
      minspeedenableflag = jQuery("#webdav_manager_minspeed_enable").prop('checked');
      minspeedflag = jQuery("#webdav_manager_webdav_minspeed").val();
      fileenable = jQuery('#webdav_manager_filespeed_enable').prop('checked');
      filethresholdflag = jQuery('#webdav_manager_webdav_filethreshold').val();
      filemaxspeedflag = jQuery('#webdav_manager_webdav_filemaxspeed').val();
      httpportflag = jQuery('#webdav_http_port').val();
      httpsportflag = jQuery('#webdav_https_port').val();
      //
      WebDAVCheckInput();
      jQuery('#webdav_manager_waiting_content').attr("style", "display:none");
      jQuery('#webdav_manager_waiting_logo').attr("style", "display:none");

      attachTempDirOption(data.folders, data.tmpDir);
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(UNAS._(textStatus));
      jQuery('#webdav_manager_waiting_content').attr("style", "display:none");
      jQuery('#webdav_manager_waiting_logo').attr("style", "display:none");
    }
  });
}

function attachTempDirOption(datas, dir) {
  jQuery('#wedav_tmp_dir').html('');

  var str = '<option value="">' + UNAS._("##$@webdav@$##Do not select directory##$@webdav@$##") + '</option>';
  var _len = datas.length;
  if (_len > 0) {
    for (var i = 0; i < _len; i++) {
      if (dir == datas[i]) {
        str += '<option selected value="' + datas[i] + '">' + datas[i] + '</option>';
      } else {
        str += '<option value="' + datas[i] + '">' + datas[i] + '</option>';
      }
    }
  }
  jQuery('#wedav_tmp_dir').append(str);
}

// apply颜色
function webdavapplycolor() {
  if (jQuery('#webdav_http_port').attr('class') == 'unas_input_error' || jQuery('#webdav_https_port').attr('class') == 'unas_input_error') {
    jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled')
    return false;
  }
  //if (inputerr!=='err' && checkHTTPPort() && checkHTTPSPort() && (httpsportflag !== jQuery('#webdav_https_port').val() || httpportflag !== jQuery('#webdav_http_port').val() || filemaxspeedflag !== jQuery('#webdav_manager_webdav_filemaxspeed').val() || filethresholdflag !== jQuery('#webdav_manager_webdav_filethreshold').val() ||fileenable !== jQuery('#webdav_manager_filespeed_enable').prop('checked') || minspeedflag !== jQuery("#webdav_manager_webdav_minspeed").val() || webdavflag !== jQuery('#webdav_manager_webdav_enable').prop('checked') || speedenableflag !== jQuery('#webdav_manager_speed_enable').prop('checked') || maxspeedflag !== jQuery("#webdav_manager_webdav_maxspeed").val() || minspeedenableflag !== jQuery("#webdav_manager_minspeed_enable").prop('checked'))) {
  if (inputerr !== 'err' && (httpsportflag !== jQuery('#webdav_https_port').val() || httpportflag !== jQuery('#webdav_http_port').val() || filemaxspeedflag !== jQuery('#webdav_manager_webdav_filemaxspeed').val() || filethresholdflag !== jQuery('#webdav_manager_webdav_filethreshold').val() || fileenable !== jQuery('#webdav_manager_filespeed_enable').prop('checked') || minspeedflag !== jQuery("#webdav_manager_webdav_minspeed").val() || webdavflag !== jQuery('#webdav_manager_webdav_enable').prop('checked') || speedenableflag !== jQuery('#webdav_manager_speed_enable').prop('checked') || maxspeedflag !== jQuery("#webdav_manager_webdav_maxspeed").val() || minspeedenableflag !== jQuery("#webdav_manager_minspeed_enable").prop('checked'))) {
    jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button')
  } else {
    jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled')
  }
}
//

function SubmitWebDAVApply() {
  if (jQuery('#webdav_manager_webdav_apply').attr('class') == 'unas_button_disabled') {
    return false;
  }
  jQuery('#webdav_manager_waiting_content').attr("style", "display:block");
  jQuery('#webdav_manager_waiting_logo').attr("style", "display:block");
  var config_data = {};
  if (jQuery('#webdav_manager_webdav_enable').prop('checked')) {
    config_data.IsWebDAVEnable = 'Enable';
  } else {
    config_data.IsWebDAVEnable = 'Disable';
  }
  if (jQuery('#webdav_manager_speed_enable').prop('checked')) {
    config_data.IsSpeedLimit = "Enable";

  } else {
    config_data.IsSpeedLimit = "Disable";
  }
  if (jQuery('#webdav_manager_minspeed_enable').prop('checked')) {
    config_data.minspeed_status = "Enable";

  } else {
    config_data.minspeed_status = "Disable";
  }
  if (jQuery('#webdav_manager_filespeed_enable').prop('checked')) {
    config_data.filelimit_status = "Enable";
  } else {
    config_data.filelimit_status = "Disable";
  }
  config_data.MaxSpeed = jQuery('#webdav_manager_webdav_maxspeed').val() * 1024;
  // if(jQuery('#webdav_manager_minspeed_enable').prop('checked')){
  config_data.MinSpeed = jQuery('#webdav_manager_webdav_minspeed').val() * 1024;
  // }
  // if(jQuery('#webdav_manager_filespeed_enable').prop('checked')){
  config_data.FileSize = jQuery('#webdav_manager_webdav_filethreshold').val();
  config_data.FileSpeed = jQuery('#webdav_manager_webdav_filemaxspeed').val() * 1024;
  // }
  config_data.action = 'setwebdavconfig';
  config_data.ports = {};
  config_data.ports['http_port'] = parseInt(jQuery('#webdav_http_port').val());
  config_data.ports['https_port'] = parseInt(jQuery('#webdav_https_port').val());
  if (config_data.IsWebDAVEnable == 'Enable') {
    config_data.WebdavTempDir = jQuery('#wedav_tmp_dir').val();
  }
  var d = {
    cmd: 'webdav_setting',
    token: UToken,
    params: config_data
  };
  jQuery.ajax({
    url: "/apps/webdav/includes/index.php",
    data: JSON.stringify(d),
    type: "POST",
    async: true,
    timeout: 60000,
    dataType: "json",
    contentType: "application/json;",
    success: function(data) {
      GetWebDAVStatus();
      jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button_disabled');
      jQuery('#webdav_manager_waiting_content').attr("style", "display:none");
      jQuery('#webdav_manager_waiting_logo').attr("style", "display:none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(UNAS._(textStatus));
      jQuery('#webdav_manager_waiting_content').attr("style", "display:none");
      jQuery('#webdav_manager_waiting_logo').attr("style", "display:none");
    }
  });
}

//
function goWebdav() {
  if (jQuery('#webdav_manager_webdav_start').attr('class') == 'unas_button_disabled') {
    return false;
  }
  var str = window.location.href.split("/desktop")[0] + "/webdav";
  window.location.href = str;
}

function getwebdavversion() {
  jQuery.ajax({
    url: "/wmi/index.php",
    type: "POST",
    async: true,
    dataType: 'json',
    contentType: "application/json;charset=utf-8",
    data: JSON.stringify({
      "cmd": "webdav_version",
      "token": UToken
    }),
    success: function(res) {
      if (res.err == 0) {
        jQuery('#jv-webdav-v').text(res.results.version);
      }
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {}
  });
}

(function() {

  GetWebDAVStatus();

  errList();

  jQuery('div[webdavitemtabid]').click(function() {
    var id = jQuery(this).attr('webdavitemtabid');
    if (id == "webdav_manager_errSetting_container") {
      jQuery("#webdav_manager_webdav_apply").hide();
    } else {
      jQuery("#webdav_manager_webdav_apply").show();
    }
    jQuery('#webdav_manager_webdav_tab').attr('class', 'unas_tab');
    jQuery('#webdav_manager_errSetting_tab').attr('class', 'unas_tab');
    jQuery(this).attr('class', 'unas_tab_sel');

    jQuery('#webdav_manager_webdav_container').attr('style', 'display:none;');
    jQuery('#webdav_manager_errSetting_container').attr('style', 'display:none;');
    jQuery('#' + id).attr('style', 'display:block;');
  });
  jQuery('#webdav_manager_webdav_enable').click(function() {
    // WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_manager_speed_enable').click(function() {
    WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_manager_minspeed_enable').click(function() {
    // WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_manager_filespeed_enable').click(function() {
    // WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_manager_webdav_maxspeed').keyup(function() {
    // WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_manager_webdav_maxspeed').change(function() {
    // WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_manager_webdav_minspeed').keyup(function() {
    // WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_manager_webdav_minspeed').change(function() {
    // WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_manager_webdav_filethreshold').keyup(function() {
    // WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_manager_webdav_filethreshold').change(function() {
    // WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_manager_webdav_filemaxspeed').keyup(function() {
    // WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_manager_webdav_filemaxspeed').change(function() {
    // WebDAVCheckStatus();
    WebDAVCheckInput();
    webdavapplycolor();
  });
  jQuery('#webdav_http_port').change(function() {
    checkHTTPPort();
    webdavapplycolor();
  });
  jQuery('#webdav_https_port').change(function() {
    checkHTTPSPort();
    webdavapplycolor();
  });
  jQuery('#webdav_http_port').keyup(function() {
    checkHTTPPort();
    webdavapplycolor();
  });
  jQuery('#webdav_https_port').keyup(function() {
    checkHTTPSPort();
    webdavapplycolor();
  });

  jQuery('#wedav_tmp_dir').change(function() {
    jQuery('#webdav_manager_webdav_apply').attr('class', 'unas_button');
  });
})();
