var urlSearchParams = new URLSearchParams(window.location.search);
// 把键值对列表转换为一个对象
if (!Object.fromEntries) {
  Object.fromEntries = entries => {
    var result = {};
    for (var [key, value] of entries) {
      result[key] = value;
    }
    return result;
  };
}
var params = Object.fromEntries(urlSearchParams.entries());

if (params.l) {
  lan = params.l;
} else if (getCookie('login_lang')) {
  lan = unescape(window.atob(getCookie('login_lang')));
} else {
  lan = sessionStorage.getItem('tempLang') || lan;
}

UNAS.CurrentLanguage = lan;

var UToken;
var tokenArr = document.cookie.split("; ");

if (params.t) {
  UToken = params.t;
} else {
  for (var i = 0; i < tokenArr.length; i++) {
    if (tokenArr[i].search("PHPSESSID") !== -1) {
      UToken = tokenArr[i].split("=")[1]
    }
  }
}

var OnChangeLanguage_webdav = null;
var pageTranslators_webdav = [];

OnChangeLanguage_webdav = function(e) {
  for (var i = 0; i < pageTranslators_webdav.length; i++) {
    var node = pageTranslators_webdav[i].node;
    var p = pageTranslators_webdav[i].translateProperty;
    node[p] = window.top.UNAS._(pageTranslators_webdav[i].originalText);
  }

  if (e) {

  }

  function webdavTranslator(id) {
    let rt_c = document.getElementById(id);
    if (!rt_c) {
      return;
    }
    var tmp_pageTranslators = window.top.UNAS.CreateNodesTranslators(rt_c);
    pageTranslators_webdav = pageTranslators_webdav.concat(tmp_pageTranslators);
    OnChangeLanguage_webdav();
  }
  window.webdavTranslator = webdavTranslator;
};

OnChangeLanguage_webdav();
window.top.UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage_webdav);
window.addEventListener("unload", function(e) {
  window.top.UNAS.Event.removeEvent('ChangeLanguage', OnChangeLanguage_webdav);
}, false);


function getClientWH() {
  var clientHeight = 0;
  if (document.body.clientHeight && document.documentElement.clientHeight) {
    clientHeight = Math.min(document.body.clientHeight, document.documentElement.clientHeight);
    clientWidth = Math.min(document.body.clientWidth, document.documentElement.clientWidth);
  } else {
    clientHeight = Math.max(document.body.clientHeight, document.documentElement.clientHeight);
    clientWidth = Math.max(document.body.clientWidth, document.documentElement.clientWidth);
  }

  return {
    w: clientWidth,
    h: clientHeight
  };
}

(function() {

})();
